Subject: Re: bug#74630: 31.0.50; emacs-mail-verify

From: Eli Zaretskii <[email-masked]>
Date: Fri, 20 Dec 2024 09:45:03 +0200

> From: Richard Stallman <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 20 Dec 2024 00:23:00 -0500
> 
>   > > Do some people run this function from a hook for every message and
>   > > want to see output only in case of failure?
> 
>   > See above: it displays a message in case of success as well.
> 
> I agree, that should be enough.
> (I didn't know it did that.)
> 
> Perhaps document that in the doc string:
> 
>   On successful verification, displays ""Verifying...done" in echo area.

That sounds redundant, as the message seems to speak for itself?

> Perhaps it should return t if it succeeds in verifying, and nil otherwise.

I thought about it, but the functions it calls don't have their return
value documented, so doing that seems to require a serious surgery of
the code with which I'm not familiar.